summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorBruno de Oliveira Abinader <bruno@mapbox.com>2017-03-22 15:42:35 +0200
committerBruno de Oliveira Abinader <bruno@mapbox.com>2017-03-23 16:09:07 +0200
commit1c757cce34344dfecc9a724034680225143f92b7 (patch)
tree2115ed73b715f166f219b6a0b306b64d206f81ac /scripts
parenta3f40d0c0c906400439eeb25d50f39eac64327ef (diff)
downloadqtlocation-mapboxgl-1c757cce34344dfecc9a724034680225143f92b7.tar.gz
[build] Autodetect Qt{4,5}
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-qt.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/check-qt.sh b/scripts/check-qt.sh
new file mode 100755
index 0000000000..5780038243
--- /dev/null
+++ b/scripts/check-qt.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+if [ ! $(command -v qmake 2> /dev/null) ]; then
+ echo "No qmake found - missing Qt development files"
+ exit 1
+fi